'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Header = require('./Header/Header.propTypes');

var _Header2 = _interopRequireDefault(_Header);

var _ItemEdit = require('./Items/Item/ItemEdit.propTypes');

var _ItemEdit2 = _interopRequireDefault(_ItemEdit);

var _Action = require('../Actions/Action');

var _Action2 = _interopRequireDefault(_Action);

var _Header3 = require('./Header/Header.component');

var _Header4 = _interopRequireDefault(_Header3);

var _HeaderInput = require('./Header/HeaderInput.component');

var _HeaderInput2 = _interopRequireDefault(_HeaderInput);

var _Items = require('./Items/Items.component');

var _Items2 = _interopRequireDefault(_Items);

var _Enumeration = require('./Enumeration.scss');

var _Enumeration2 = _interopRequireDefault(_Enumeration);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DISPLAY_MODE_DEFAULT = 'DISPLAY_MODE_DEFAULT';
var DISPLAY_MODE_ADD = 'DISPLAY_MODE_ADD';

function enumerationClasses() {
	var _classNames;

	return (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _Enumeration2.default['tc-enumeration'], true), _defineProperty(_classNames, 'tc-enumeration', true), _classNames));
}

function Enumeration(_ref) {
	var displayMode = _ref.displayMode,
	    headerDefault = _ref.headerDefault,
	    headerInput = _ref.headerInput,
	    items = _ref.items,
	    itemsProp = _ref.itemsProp,
	    onAddChange = _ref.onAddChange,
	    onAddKeyDown = _ref.onAddKeyDown,
	    currentEdit = _ref.currentEdit;

	function getHeader() {
		switch (displayMode) {
			case DISPLAY_MODE_ADD:
				{
					var propsInput = {
						headerInput: headerInput,
						onAddChange: onAddChange,
						onAddKeyDown: onAddKeyDown
					};

					return _react2.default.createElement(_HeaderInput2.default, propsInput);
				}
			case DISPLAY_MODE_DEFAULT:
				{
					var propsDefault = {
						headerDefault: headerDefault,
						onAddChange: onAddChange
					};

					return _react2.default.createElement(_Header4.default, propsDefault);
				}
			default:
				return null;
		}
	}

	return _react2.default.createElement(
		'div',
		{ className: enumerationClasses() },
		getHeader(),
		_react2.default.createElement(_Items2.default, { items: items, itemsProp: itemsProp, currentEdit: currentEdit })
	);
}

Enumeration.propTypes = _extends({
	displayMode: _react.PropTypes.oneOf([DISPLAY_MODE_DEFAULT, DISPLAY_MODE_ADD]),
	headerDefault: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Header2.default)).isRequired,
	headerInput: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Header2.default)),
	items: _react.PropTypes.arrayOf(_react.PropTypes.shape({
		values: _react.PropTypes.arrayOf(_react.PropTypes.string)
	})).isRequired,
	itemsProp: _react.PropTypes.shape({
		key: _react.PropTypes.string,
		onSubmitItem: _react.PropTypes.func,
		onChangeItem: _react.PropTypes.func,
		onAbortItem: _react.PropTypes.func,
		actionsDefault: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Action2.default.propTypes)),
		actionsEdit: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Action2.default.propTypes))
	}).isRequired,
	onAddChange: _react.PropTypes.func.isRequired,
	onAddKeyDown: _react.PropTypes.func
}, _ItemEdit2.default);

exports.default = Enumeration;