'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Action = require('../../Actions/Action/Action.component');

var _Action2 = _interopRequireDefault(_Action);

var _Item = require('./Item/Item.component');

var _Item2 = _interopRequireDefault(_Item);

var _ItemEdit = require('./Item/ItemEdit.component');

var _ItemEdit2 = _interopRequireDefault(_ItemEdit);

var _ItemEdit3 = require('./Item/ItemEdit.propTypes');

var _ItemEdit4 = _interopRequireDefault(_ItemEdit3);

var _Items = require('./Items.scss');

var _Items2 = _interopRequireDefault(_Items);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function itemsClasses() {
	var _classNames;

	return (0, _classnames2.default)((_classNames = {}, _defineProperty(_classNames, _Items2.default['tc-enumeration-items'], true), _defineProperty(_classNames, 'tc-enumeration-items', true), _classNames));
}

var DISPLAY_MODE_EDIT = 'DISPLAY_MODE_EDIT';

function Items(_ref) {
	var items = _ref.items,
	    itemsProp = _ref.itemsProp,
	    currentEdit = _ref.currentEdit;

	function getItem(item, index) {
		// affecting index to the item
		var itemWithIndex = _extends({}, item, {
			index: index
		});

		switch (item.displayMode) {
			case DISPLAY_MODE_EDIT:
				{
					var itemPropsEdit = {
						key: itemsProp.key,
						actions: itemsProp.actionsEdit,
						onSubmitItem: itemsProp.onSubmitItem,
						onAbortItem: itemsProp.onAbortItem,
						onChangeItem: itemsProp.onChangeItem
					};
					itemWithIndex.itemProps = itemPropsEdit;

					return _react2.default.createElement(_ItemEdit2.default, {
						key: index + '-item',
						id: index + '-item',
						item: itemWithIndex,
						currentEdit: currentEdit
					});
				}
			default:
				{
					var itemPropDefault = {
						key: itemsProp.key,
						actions: itemsProp.actionsDefault
					};
					itemWithIndex.itemProps = itemPropDefault;

					return _react2.default.createElement(_Item2.default, {
						key: index + '-item',
						id: index + '-item',
						item: itemWithIndex,
						itemProps: itemPropDefault
					});
				}
		}
	}

	return _react2.default.createElement(
		'ul',
		{ className: itemsClasses() },
		items.map(function (item, index) {
			return getItem(item, index);
		})
	);
}

Items.propTypes = _extends({
	items: _react.PropTypes.arrayOf(_react.PropTypes.shape({
		values: _react.PropTypes.arrayOf(_react.PropTypes.string)
	})),
	itemsProp: _react.PropTypes.shape({
		key: _react.PropTypes.string.isRequired,
		onSubmitItem: _react.PropTypes.func,
		onAbortItem: _react.PropTypes.func,
		actionsDefault: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Action2.default.propTypes)),
		actionsEdit: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Action2.default.propTypes))
	}).isRequired
}, _ItemEdit4.default);

exports.default = Items;